Some problems when changing MySQL or Apache versions


  • | 2489 points

    Hi, I'm using Laragon Full 4.0.15 and I've no problems with the default Apache/MySQL/PHP that come with the package.
    but when i try to switch to an old mysql 5.5.62, I get the following error:

    Service MySQL can not start. Reason: 
    ----------------------------------------
    191009  9:55:14 [Warning] Insecure configuration for --secure-file-priv: Current value does not restrict location of generated files. Consider setting it to a valid, non-empty path.
    191009  9:55:14 [Note] C:\Laragon\bin\mysql\mysql-5.5.62-win32\bin\mysqld (mysqld 5.5.62) starting as process 7788 ...
    

    same goes when switching to Apache httpd-2.4.38-win32-VC11: the program can not start because MSVCR110.dll is missing (but I just installed the Microsoft runtime, both x86 and x64, and restarted the PC)

    Please, any help?
    Thanks


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.